Update from phpunit 4 to phpunit 5. #2591

Merged
merged 2 commits into from Feb 4, 2017

Projects

None yet

2 participants

@greg-1-anderson
Member

Let's try phpunit 6. This is "php": "^7", so we probably won't want to merge this just yet. phpunit 5 is "php": "^5.6 || ^7.0", so we might try that for Drush 9.

I didn't check the php version requirements before pushing this branch. Let's see how the tests fare. I've found downgrading from 6 to 5 is pretty easy.

@greg-1-anderson
Member

Down to phpunit 5.

@greg-1-anderson greg-1-anderson changed the title from Update from phpunit 4 to phpunit 6. to Update from phpunit 4 to phpunit 5. Feb 4, 2017
greg-1-anderson added some commits Feb 4, 2017
@greg-1-anderson greg-1-anderson Update from phpunit 4 to phpunit 6. 5b13017
@greg-1-anderson greg-1-anderson phpunit 5.
656a879
@greg-1-anderson
Member

OK, phpunit 5 works fine. Ready to upgrade?

@weitzman
Member
weitzman commented Feb 4, 2017

LGTM

@greg-1-anderson greg-1-anderson merged commit a737be1 into master Feb 4, 2017

2 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment